Subject: Re: bug#24091: Problem caused by the fix for this bug

From: Noam Postavsky <[email-masked]>
Date: Thu, 26 Oct 2017 16:40:02 -0400

On Thu, Oct 26, 2017 at 2:12 PM, Ken Brown <[email-masked]> wrote:

> The commit I cited was the first bad one (as determined by git bisect). The
> problem still exists in the current HEAD of the emacs-26 branch.

Okay. I removed the code because my understanding of the comment was
that it was needed to prevent a hang during the busy wait for
visibility. Therefore, when I removed that busy wait, I thought that
poll_for_input_1 was no longer needed either.

However, from what you say, it sounds like it's rather needed after
creating a frame, unrelated to the waiting per se. I don't really
understand what the code does, but I guess you could try putting the
poll_for_input_1 stuff back in either before, inside, or after the
x_wait_for_event at the end of x_make_frame_visible and see what
helps?